package com.muyu.system.saas.service.impl;


import javax.annotation.Resource;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.muyu.common.system.domain.SysUser;
import org.springframework.stereotype.Service;
import lombok.extern.slf4j.Slf4j;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.system.saas.mapper.SysUserMapper;
import com.muyu.system.saas.service.SysUserService;

/**
 * @Author: 胡杨
 * @Name: SysUser
 * @Description:
 * @CreatedDate: 2024/9/23 下午8:55
 * @FilePath: com.muyu.system.saas.service.impl
 */

@Slf4j
@Service
public class SysUserServiceImpl extends ServiceImpl<SysUserMapper, SysUser>
        implements SysUserService {
    @Resource
    private SysUserMapper userMapper;

    @Override
    public SysUser selectUserByUserName(String userName) {
        return userMapper.selectUserByUserName(userName);
    }
}
