package com.muyu.warning.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName WarnRule
 * @Description 描述
 * @Author Chen
 * @Date 2024/9/22 11:53
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class WarnRuleDTO {
    /** 规则id */
    @TableId( type = IdType.AUTO)
    private Long id;

    /** 规则名称 */
    @Excel(name = "规则名称")
    private String ruleName;

    /** 策略id */
    @Excel(name = "策略id")
    private Long strategyId;

    /** 报文数据类型id */
    @Excel(name = "报文数据类型id")
    private Long msgTypeId;

    /** 滑窗时间 */
    @Excel(name = "滑窗时间")
    private Long slideTime;

    /** 滑窗频率 */
    @Excel(name = "滑窗频率")
    private Long slideFrequency;

    /** 最大值 */
    @Excel(name = "最大值")
    private Long maxValue;

    /** 最小值 */
    @Excel(name = "最小值")
    private Long minValue;

    /** 车辆类型id */
    @Excel(name = "车辆类型id")
    private Long carTypeId;

    /** 策略名称 */
    @Excel(name = "策略名称")
    private String strategyName;

    /** 报文模版id */
    @Excel(name = "报文模版id")
    private Long msgId;
}
