package com.muyu.warning;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * @Author Chen
 * @name：WxApplication
 * @Date：2024/9/16 20:39
 */
@EnableCustomConfig
//@EnableCustomSwagger2
@EnableMyFeignClients
@SpringBootApplication
public class WarnApplication {
    public static void main(String[] args) {
        SpringApplication.run(WarnApplication.class);
    }
}
