package com.muyu.warning.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.warning.domain.WarnRuleDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @ClassName WarnRulesMapper
 * @Description 描述
 * @Author Chen
 * @Date 2024/9/23 21:07
 */
@Mapper
public interface WarnRulesMapper extends BaseMapper<WarnRuleDTO> {
    @Select("select r.*,s.id,s.strategy_name FROM warn_rule r left join  warn_strategy s on r.strategy_id=s.id where r.strategy_id = #{s.id}")
    List<WarnRuleDTO> selectWarnRulesListAll(WarnRuleDTO warnRuleDTO);

}
