package com.muyu.common.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: DongZeLiang
 * @date: 2024/6/3
 * @Description: 企业信息
 * @Version: 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_ent")
public class SysEnt {
    @TableId( type = IdType.AUTO)
    private Integer id;

    private String entCode;

    private String ip;

    private Integer port;

    private String dbName;

    private String userName;

    private String password;
}
