package com.muyu.common.system.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author WangXin
 * @Data 2024/9/18
 * @Description 企业用户
 * @Version 1.0.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class SysFirmUser extends SysUser {
    /**
     * 用户数据库
     */
    private String databaseName;
}
