package com.muyu.breakdown.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-09-20-15:35
 * @ Version：1.0
 * @ Description：报文
 * @author Lenovo
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName("sys_car_message")
public class SysCarMessage {
    /**
     * id
     */
    private Integer id;
    /**
     * 车辆型号编码
     */
    private String modelCode;
    /**
     * 车辆报文类型编码
     */
    private String messageTypeCode;
    /**
     * 开始位下标
     */
    private String messageStartIndex;
    /**
     * 结束位下标
     */
    private String messageEndIndex;
}
