package com.muyu.carrail;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

@EnableCustomConfig
@EnableMyFeignClients
@MapperScan("com.muyu.carrail.mapper")
@SpringBootApplication
public class CloudCarRailApplication {
    public static void main(String[] args) {
//        try {
//
//        } catch (Exception e) {
//            e.printStackTrace();
//        }
        SpringApplication.run(CloudCarRailApplication.class, args);
    }
}
