package com.muyu.system;

import com.alibaba.druid.spring.boot3.autoconfigure.DruidDataSourceAutoConfigure;
import com.baomidou.dynamic.datasource.spring.boot.autoconfigure.DynamicDataSourceAutoConfiguration;
import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

/**
 * 系统模块
 *
 * @author muyu
 */
@EnableCustomConfig
//@EnableCustomSwagger2
@EnableMyFeignClients
@SpringBootApplication
//@SpringBootApplication(
//        exclude = {
//                DataSourceAutoConfiguration.class,
//                DruidDataSourceAutoConfigure.class,
//                DynamicDataSourceAutoConfiguration.class
//        }
//)
public class CloudSystemApplication {
    public static void main (String[] args) {
        SpringApplication.run(CloudSystemApplication.class, args);
    }

}
